Page MenuHomePhabricator

[NewPM] Hide pass manager debug logging behind -debug-pass-manager-verbose
ClosedPublic

Authored by aeubanks on May 3 2021, 4:18 PM.

Details

Summary

Printing pass manager invocations is fairly verbose and not super
useful.

This allows us to remove DebugLogging from pass managers and PassBuilder
since all logging (aside from analysis managers) goes through
instrumentation now.

This has the downside of never being able to print the top level pass
manager via instrumentation, but that seems like a minor downside.

Diff Detail

Event Timeline

aeubanks created this revision.May 3 2021, 4:18 PM
aeubanks requested review of this revision.May 3 2021, 4:18 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptMay 3 2021, 4:18 PM
ychen added a comment.May 3 2021, 9:51 PM

Looks like the precheck failures are real.

aeubanks updated this revision to Diff 342803.May 4 2021, 10:55 AM

fix broken lld tests

ychen accepted this revision.May 7 2021, 3:35 PM

LGTM. Need a test for pass managers debug output.

llvm/test/Other/pass-pipeline-parsing.ll
145

Instead of renaming this, could you add a similar test for pass managers?

This revision is now accepted and ready to land.May 7 2021, 3:35 PM
aeubanks updated this revision to Diff 343777.May 7 2021, 3:57 PM

add separate test for pass managers

This revision was landed with ongoing or failed builds.May 7 2021, 9:52 PM
This revision was automatically updated to reflect the committed changes.